### Method

# Gimp PDB query_procedures

#### Declaration [src]

    gchar**
    gimp_pdb_query_procedures (
      GimpPDB* pdb,
      const gchar* name,
      const gchar* blurb,
      const gchar* help,
      const gchar* help_id,
      const gchar* authors,
      const gchar* copyright,
      const gchar* date,
      const gchar* proc_type
    )

#### Description [src]

Queries the procedural database for its contents using regular expression matching.

This function queries the contents of the procedural database. It is supplied with eight arguments matching procedures on

{ name, blurb, help, help-id, authors, copyright, date, procedure type}.

This is accomplished using regular expression matching. For instance, to find all procedures with “jpeg” listed in the blurb, all seven arguments can be supplied as “.“, except for the second, which can be supplied as “.jpeg.*”. There are two return arguments for this procedure. The first is the number of procedures matching the query. The second is a concatenated list of procedure names corresponding to those matching the query. If no matching entries are found, then the returned string is NULL and the number of entries is 0.

Available since: | 3.0

#### Parameters

`name` | `const gchar*`
| The regex for procedure name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`blurb` | `const gchar*`
| The regex for procedure blurb.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`help` | `const gchar*`
| The regex for procedure help.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`help_id` | `const gchar*`
| The regex for procedure help-id.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`authors` | `const gchar*`
| The regex for procedure authors.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`copyright` | `const gchar*`
| The regex for procedure copyright.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`date` | `const gchar*`
| The regex for procedure date.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`proc_type` | `const gchar*`
| The regex for procedure type: { ‘Internal GIMP procedure’, ‘GIMP Plug-in’, ‘GIMP Extension’, ‘Temporary Procedure’ }.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | An array of `utf8`
| The list of procedure names. Free with g_strfreev().
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.